#define COMPRESSED    1
#define UNCOMPRESSED  0

typedef struct IFF_HEADER {
  unsigned char  form_id[4];
  unsigned long  lenght;
  unsigned char  file_id[4];
} IFF_HEADER;

typedef struct CHUNK_HEADER {
  unsigned char  chunk_id[4];
  unsigned long  lenght;
} CHUNK_HEADER;

typedef struct BITMAP_HEADER {
  int    width;
  int    height;
  int    off_x;
  int    off_y;
  char   planes;
  char   mask;
  char   compressed;
  char   unused;
  int    transparent_color;
  char   x_aspect;
  char   y_aspect;
  int    page_width;
  int    page_height;
} BITMAP_HEADER;

typedef struct COLOR_ENTRY {
  char   red;
  char   green;
  char   blue;
} COLOR_ENTRY;
